---
title: "POST /auth/otp/verify - Authentication · RUAL Documentation"
description: "POST: Verify One-Time Password token for 2FA"
canonical: https://docs.rual.nl/cluster/api/authentication/auth-otp-verify-post
language: en
---

# POST /auth/otp/verify

Verify One-Time Password token for 2FA

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **access_token** required | `string` | 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJndWlkIj...' | bearer access token |
| **otp_token** required | `string` | 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJndWlkIj...' | OTP token from authenticator |
| **verified** optional | `boolean` | `true` | Mark as verified after successful validation |

```
{
  "verified": true
}
```

```
{
  "error": "ERROR_KEY"
}
```

| Permission | Description |
| --- | --- |
| `*public` | No authentication required, public endpoint |
